# Couenne::CouennePSDcon Class Reference

Class to represent positive semidefinite constraints //////////////////. More...

`#include <CouennePSDcon.hpp>`

Inheritance diagram for Couenne::CouennePSDcon:

List of all members.

## Public Member Functions
| CouennePSDcon (CouenneExprMatrix *X)
| Constructor.
| ~CouennePSDcon ()
| Destructor.
| CouennePSDcon (const CouennePSDcon &c, Domain *d=NULL)
| Copy constructor.
CouennePSDcon & | operator= (const CouennePSDcon &c)
| Assignment operator.
CouenneConstraint * | clone (Domain *d=NULL) const
| Cloning method.
CouenneExprMatrix * | getX () const
| return X
exprAux * | standardize (CouenneProblem *)
| Decompose body of constraint through auxiliary variables.
void | print (std::ostream &=std::cout)
| Print constraint.
## Protected Attributes
CouenneExprMatrix * | X_
| contains indices of matrix X 0

## Detailed Description

Class to represent positive semidefinite constraints //////////////////.

Definition at line 24 of file CouennePSDcon.hpp.

## Constructor & Destructor Documentation

Couenne::CouennePSDcon::CouennePSDcon | ( | CouenneExprMatrix * | X | ) | `[inline]`

Constructor.

Definition at line 33 of file CouennePSDcon.hpp.

Referenced by clone().

Couenne::CouennePSDcon::~CouennePSDcon | ( |  | ) |

Destructor.

Couenne::CouennePSDcon::CouennePSDcon | ( | const CouennePSDcon & | c,
|  | Domain * | d = `NULL` |
| ) |  |  |

Copy constructor.

## Member Function Documentation

CouennePSDcon& Couenne::CouennePSDcon::operator= | ( | const CouennePSDcon & | c | ) |

Assignment operator.

CouenneConstraint* Couenne::CouennePSDcon::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

Cloning method.

Reimplemented from Couenne::CouenneConstraint.

Definition at line 47 of file CouennePSDcon.hpp.

References CouennePSDcon().

CouenneExprMatrix* Couenne::CouennePSDcon::getX | ( |  | ) | const`[inline]`

return X

Definition at line 51 of file CouennePSDcon.hpp.

References X_.

exprAux* Couenne::CouennePSDcon::standardize | ( | CouenneProblem * |  | ) | `[virtual]`

Decompose body of constraint through auxiliary variables.

Reimplemented from Couenne::CouenneConstraint.

void Couenne::CouennePSDcon::print | ( | std::ostream & | = `std::cout` | ) | `[virtual]`

Print constraint.

Reimplemented from Couenne::CouenneConstraint.

## Member Data Documentation

CouenneExprMatrix* Couenne::CouennePSDcon::X_`[protected]`

contains indices of matrix X 0

Definition at line 28 of file CouennePSDcon.hpp.

Referenced by getX().

The documentation for this class was generated from the following file:

- CouennePSDcon.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines